# SDK Backend API NCP REST 2.0 SDK Backend API **Version:** 2.6.0 ## Servers - `https://api-sandbox.nuvei.com/sdk-api` — sandbox - `https://api.nuvei.com/sdk-api` — prod ## Tags - **Orders** ## Security Schemes ### accessToken - Type: `http` - Scheme: `bearer` - Bearer Format: `JWT` ### apiKey - Type: `apiKey` - In: `header` - Header/Param Name: `X-API-KEY` ## Paths ### `/orders` #### POST **Summary:** Create Order Creates a new merchant order. **Operation ID:** `postOrder` **Tags:** Orders **Security:** accessToken OR apiKey **Parameters:** | Name | In | Type | Required | Description | |------|----|------|----------|-------------| | `idempotency-key` | header | string | No | Idempotency Key for the request | **Request Body:** _Content-Type: `application/json`_ **Schema:** `orderRequest` - **processingEntityId** — (`EntityId`) — _string_ — **required** — format: `uuid` — Processing `entityId` provided by Nuvei. - **merchantTransactionId** — _string_ — ID of the transaction in the merchant system. - **agentId** — _string_ — Unique identifier of the AI agent that initiated the transaction on behalf of the end user. - **productId** — _string_ — A free text parameter used to identify the product/service sold. If this parameter is not sent or is sent with an empty value, then it contains the concatenation of all item names up until the parameter maximum length. Risk rules and traffic management rules are usually built based on this parameter value. - **currencyConversion** — (`CurrencyConversion`) — _object_ - **type** — _string_ — **required** — enum: `MCP` — The type of the currency conversion. - **originalAmount** — _number_ — **required** — The original amount of the transaction in the currency that the merchant requested. - **originalCurrency** — _string_ — **required** — The [3-letter ISO currency code](https://docs.nuvei.com/?p=8513#currency-codes) of the currency that the merchant requested in the transaction. - **amount** — _number_ — **required** — The transaction amount. - **currency** — _string_ — **required** — The [3-letter ISO currency code](https://docs.nuvei.com/?p=8513#currency-codes). - **transactionType** — (`PaymentTransactionType`) — _string_ — enum: `Auth`, `PreAuth`, `Sale` — The type of transaction. - **isMoto** — _boolean_ — Indicates whether the transaction was done over email/phone or is a regular transaction. Values: true = Moto transaction | false = no Moto Transaction - **isPartialApproval** — _boolean_ — Describes a situation where the deposit was completed and processed with an amount lower than the requested amount due to a consumer's lack of funds within the desired payment method. Partial approval is only supported by Nuvei acquiring. Values: `true` - Allow partial approval | `false` - Not allow partial approval - **zeroAmountReason** — _string_ — enum: `recurring`, `installments`, `addCard`, `maintainCard`, `accountVerification` — For Authentication Zero scenarios, this optional field defines the authentication type. - **amountDetails** — (`AmountDetails`) — _object_ - **totalDiscount** — _number_ — default: `0` — Amount of discount applied. - **totalHandling** — _number_ — default: `0` — Amount of handling. - **totalShipping** — _number_ — default: `0` — Amount of freight or shipping. - **totalTax** — _number_ — default: `0` — Total tax amount. - **items** — _array_ - **items** — (`Item`) — _object_ — A single item in the purchase. - **name** — _string_ — **required** - **price** — _number_ — **required** - **quantity** — _integer_ — **required** - **type** — _string_ — **required** — enum: `Discount`, `Physical`, `ShippingFee`, `Digital`, `GiftCard`, `StoreCredit`, `Surcharge`, `SalesTax` — Item classification - **groupId** — _string_ — Product category grouping - **discountDetails** — (`DiscountDetails`) — _object_ — Discount details - **amount** — _number_ — Absolute discount amount - **rate** — _number_ — Discount percentage - **taxDetails** — (`TaxDetails`) — _object_ — Tax details - **tax** — _number_ — VAT / tax amount - **taxRate** — _number_ — VAT / tax rate - **shippingDetails** — (`ShippingDetails`) — _object_ — Shipping price and tax - **price** — _number_ — Shipping net price - **tax** — _number_ — Shipping tax amount - **taxRate** — _number_ — Shipping tax rate - **urlsDetails** — (`UrlsDetails`) — _object_ — Product URLs - **imageUrl** — _string_ — format: `uri` — Product image URL - **productUrl** — _string_ — format: `uri` - **dynamicDescriptor** — (`DynamicDescriptor`) — _object_ - **merchantName** — _string_ — The merchant name, as is displayed for the transaction on the consumer's card statement. - **merchantContactInformation** — _string_ — The merchant contact information, as is displayed for the transaction on the consumer's card statement. It can also be an email address. - **subMerchant** — (`SubMerchant`) — _object_ - **id** — _string_ — Represents the internal merchant's ID, which is forwarded to Visa and Mastercard - **city** — _string_ — The payment facilitator's sub-merchant's city name. - **countryCode** — _string_ — The payment facilitator's sub-merchant's [2-letter ISO country code](https://en.wikipedia.org/wiki/ISO_3166-1#Current_codes). - **name** — _string_ — The payment facilitator's sub-merchant's name. - **address** — _string_ — The payment facilitator's sub-merchant's address. - **zip** — _string_ — The payment facilitator's sub-merchant's zip code. - **phone** — _string_ — The payment facilitator's sub-merchant's phone number. - **state** — _string_ — The payment facilitator's sub-merchant's state. - **url** — _string_ — The payment facilitator's sub-merchant's url. - **urlDetails** — (`UrlDetails`) — _object_ — With this class, a merchant can dynamically provide possible URLs to which the end user is redirected after a payment is made, as well as a dynamic URL for [DMNs](https://docs.nuvei.com/?p=493091). - **webhookUrl** — _string_ — The URL to which notifications for outcome of the financial transactions is sent. - **successUrl** — _string_ — The URL to which the end user is redirected in case of a successful transaction with an APM. - **failureUrl** — _string_ — The URL to which the end user is redirected in case of an unsuccessful transaction with an APM. - **pendingUrl** — _string_ — The URL to which the end user is redirected in case of a pending transaction with an APM. - **returnToAppUrl** — _string_ — The URL to which the end user is redirected in case of a successful transaction with an APM that shuold open in an external browser. - **rebill** — (`Rebill`) — _object_ - **expiry** — _string_ — format: `date` — Recurring Expiry in the format: YYYYMMDD. REQUIRED if step = init. We recommend setting expiry to a value of no more than 5 years from the date of the initial transaction processing date - **frequency** — _integer_ — Recurring Frequency in days. REQUIRED if step = init. - **step** — _string_ — enum: `init`, `recurring`, `MIT`, `noShow`, `delayedCharges` — Indicates the type of transaction performed as part of a rebilling plan. - **deviceDetails** — (`DeviceDetails`) — _object_ - **deviceName** — _string_ - **deviceOS** — _string_ - **deviceType** — _string_ — Supported device types include: DESKTOP, SMARTPHONE, TABLET, TV, UNKNOWN (if device type cannot be recognized). - **ipAddress** — _string_ — The customer's IP address. - **browser** — (`Browser`) — _object_ - **acceptHeader** — _string_ — Exact content of the HTTP accept headers as sent to the 3DS Requestor from the cardholder's browser. If the total length of the accept header sent by the browser exceeds 2048 characters, the 3D-Secure Server truncates the excess portion. - **colorDepth** — _integer_ — Value representing the bit depth of the color palette for displaying images, in bits per pixel. Obtained from cardholder browser using the screen.colorDepth property. Values: 1, 4, 8, 15, 16, 24, 32, 48 - **javaEnabled** — _boolean_ — Represents the ability of the cardholder browser to execute Java. REQUIRED when `javaScriptEnabled` is TRUE. Value is returned from the navigator.javaEnabled property. Values: TRUE, FALSE - **javaScriptEnabled** — _boolean_ — Determines whether the browser is JavaScript enabled (from `navigator.javaScriptEnabled` property). Values: TRUE, FALSE - **language** — _string_ — Value representing the browser language as defined in IETF BCP47. Returned from `navigator.language` property. - **screenHeight** — _integer_ — Total height of the cardholder's screen in pixels. Value is returned from the `screen.height` property. - **screenWidth** — _integer_ — Total width of the cardholder's screen in pixels. Value is returned from the `screen`.width property. - **timeZone** — _string_ — Time difference between UTC time and the cardholder browser local time, in minutes. Values: Value is returned from the `getTimezoneOffset()` method. - **userAgent** — _string_ — Exact content of the HTTP user-agent header. Values: If the total length of the user-agent header sent by the browser exceeds 2048 characters, the 3D-Secure Server truncates the excess portion. - **msisdn** — _string_ — Device MSISDN - **iccId** — _string_ — Device ICCID - **imei** — _string_ — Device IMEI - **devicePossessionStatus** — (`DevicePossessionStatus`) — _string_ — enum: `lost`, `stolen` — Indication if the device is lost or stolen - **deviceManufacturerIdentifier** — _string_ - **custom** — (`KeyValuePair`) — _object_ — default: `{"type":"string"}` — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **buyerDetails** — (`BuyerDetails`) — _object_ - **buyerId** — _string_ — The `buyerId` is required if `buyerToken` is provided as a value in the `store` parameter. - **firstName** — _string_ - **middleName** — _string_ - **lastName** — _string_ - **companyName** — _string_ - **locale** — _string_ - **dateOfBirth** — _string_ — format: `date` - **email** — _string_ - **phone** — _string_ - **phone2** — _string_ - **workPhone** — _string_ - **identificationType** — (`IdentificationType`) — _string_ — enum: `DateOfBirth`, `CustomerId`, `NationalId`, `PassportNumber`, `DriverLicense`, `TaxId`, `CompanyRegistrationNumber`, `ProxyId`, `SocialSecurityNumber`, `AlienRegistrationNumber`, `LawEnforcementId`, `MilitaryId`, `TravelId`, `Email`, `PhoneNumber` - **identificationValue** — (`IdentificationValue`) — _string_ - **cardHolderEntityType** — (`CardHolderEntityType`) — _string_ — enum: `Business`, `Individual` - **nationalIdentificationNumber** — _string_ - **accountReference** — (`BuyerAccountReference`) — _string_ - **billingAddress** — (`BillingAddress`) — _object_ - **address** — _string_ - **addressLine2** — _string_ - **addressLine3** — _string_ - **street** — _string_ - **state** — _string_ - **zip** — _string_ - **city** — _string_ - **countryCode** — _string_ — **required** — 2 digits ISO country code - **phone** — _string_ - **addressMatch** — _boolean_ - **shippingAddress** — (`ShippingAddress`) — _object_ - **sameAsBilling** — _boolean_ — default: `false` - **address** — _string_ - **addressLine2** — _string_ - **addressLine3** — _string_ - **streetNumber** — _string_ - **state** — _string_ - **zip** — _string_ - **city** — _string_ - **countryCode** — _string_ - **firstName** — _string_ - **lastName** — _string_ - **phone** — _string_ - **phone2** — _string_ - **careOf** — _string_ — Name of the person/entity to whose care the shipment is addressed. - **salutation** — _string_ — Salutation used for the shipping recipient (e.g., Mr, Ms, Dr). - **ShippingTrackingDetails** — (`ShippingTrackingDetails`) — _object_ - **customerNumber** — _string_ — Customer number associated with the shipment. - **addressType** — _string_ — Type of shipping address (e.g., residential, business). - **shippingType** — _string_ — Shipping method/type (e.g., standard, express). - **shippingCarrierName** — _string_ — Name of the shipping carrier. - **trackingId** — _string_ — Tracking identifier provided by the carrier. - **trackingUrl** — _string_ — format: `uri` — URL where tracking status can be viewed. - **permittedOperations** — (`PermittedOperations`) — _array_ — **required** — Array of operations that are allowed for this order. Must be any combination of payment, settle, refund and void. - **items** — (`PermittedOperation`) — _string_ — enum: `payments`, `operations` — example: `"payments"` — Operation permitted for a bearer token. - **uiConfig** — (`KeyValuePair`) — _object_ — default: `{"type":"string"}` — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **storePaymentOption** — (`PaymentTokenStorageOption`) — _string_ — enum: `none`, `tokenOnly`, `buyerToken` - **storePaymentTokenBehaviour** — (`StorePaymentTokenBehaviour`) — _string_ — enum: `storeWithoutConsent`, `dontStoreWithoutConsent` - **continueWithoutLiabilityShift** — _boolean_ — default: `true` — If the continueWithoutLiabilityShift parameter is provided, the behavior is: \ `true`: The transaction will be processed as either non-3D or 3D, depending on other conditions. \ `false`: The transaction will be processed strictly as AUTH3D. - **threeD** — (`ThreeDOrderInput`) — _object_ - **challenge** — (`Challenge`) — _object_ - **preference** — _string_ — enum: `Challenge`, `Exemption`, `NoPreference` — Can be used either during an Authentication request when Nuvei is the 3D-Secure v2 MPI or during an Authorization request without any prior authentication when the transaction amount allows it. Please contact our Risk Team to set this threshold amount. Values: ChallengeRequest, ExemptionRequest, NoPreference - **exemptionReason** — _string_ — enum: `InitialMerchantInitiatedTransaction`, `InitialRecurringPayment`, `AddCard`, `AccountVerification`, `MerchantInitiatedTransaction`, `RecurringPayment`, `MerchantSCADelegation`, `WalletSCADelegation`, `CorporateCard`, `TrustedBeneficiaries`, `AlwaysChallenge`, `NoPreference`, `RuleEngineChallenge`, `LowValueTransaction`, `TransactionRiskAnalysis`, `SoftDeclineReSubmissionTo3DS2`, `ElevatedWalletAuthentication`, `FraudFilterReSubmissionTo3DS2` — If the merchant has submitted an exemption requested using mpiChallengePreference, this parameter displays the reason for the request. Values: LowValuePayment, TransactionRiskAnalysis - **userAccount** — (`UserAccount`) — _object_ - **addCardAttempts24H** — _integer_ — Number of Add Card attempts in the last 24 hours. - **addressFirstUseDate** — _string_ — format: `date` — Date when the shipping address used for this transaction was first used with the 3DS Requestor in the format: YYYYMMDD. - **addressFirstUseIndicator** — _string_ — enum: `01`, `02`, `03`, `04` — Indicates when the shipping address used for this transaction was first used with the 3DS Requestor. Values: 01 = This transaction | 02 = Less than 30 days | 03 = 30-60 days | 04 = More than 60 days - **age** — _string_ — enum: `01`, `02`, `03`, `04`, `05` — Length of time that the cardholder has had the account with the 3DS Requestor. Values: 01 = No account (payment as a guest) | 02 = Created during this transaction | 03 = Less than 30 days | 04 = 30-60 days | 05 = More than 60 days - **lastChangeDate** — _string_ — format: `date` — Date (in YYYYMMDD format) that the cardholder's account with the 3DS Requestor was last changed, including Billing or Shipping address, new payment account, or new user(s) added. - **lastChangeIndicator** — _string_ — enum: `01`, `02`, `03`, `04` — Length of time since the cardholder's account information with the 3DS Requestor was last changed, including Billing or Shipping address, new payment account, or new user(s) added. Values: 01 = Changed during this transaction | 02 = Less than 30 days | 03 = 30-60 days | 04 = More than 60 days - **cardSavedDate** — _string_ — format: `date` — The date on which the payment account was enrolled in the cardholder's account with the 3DS Requestor. - **cardSavedIndicator** — _string_ — enum: `01`, `02`, `03`, `04`, `05` — Indicates the length of time that the payment account was enrolled in the cardholder's account with the 3DS Requestor. Values: 01 = If merchant does not save the card on their end, the deposit was processed without creating an account | 02 = If card is saved as part of this transaction flow | 03 = Card was saved less than 30 days ago | 04 = Card was saved between 30 and 60 days ago, endpoints included | 05 = Card was saved more than 60 days ago - **nameIndicator** — _string_ — enum: `01`, `02` — Indicates if the cardholder name on the account is identical to the shipping name used for this transaction. Values: 01 = Account name identical to shipping name | 02 = Account name different than shipping name - **passwordChangeDate** — _string_ — format: `date` — Date that cardholder's account with the 3DS Requestor had a password change or account reset in format: YYYYMMDD. - **purchasesCount6M** — _integer_ — Number of purchases with this cardholder account during the previous six months. - **registrationDate** — _string_ — format: `date` — Date that the cardholder opened the account with the 3DS Requestor in the format: YYYYMMDD. - **resetIndicator** — _string_ — enum: `01`, `02`, `03`, `04`, `05` — Indicates the length of time since the cardholder's account with the 3DS Requestor had a password change or account reset. Values: 01 = No change | 02 = Changed during this transaction | 03 = Less than 30 days | 04 = 30-60 days | 05 = More than 60 days - **suspiciousActivityIndicator** — _string_ — enum: `01`, `02` — Indicates whether the 3DS Requestor has experienced suspicious activity (including previous fraud) on the cardholder account. Values: 01 = No suspicious activity has been observed | 02 = Suspicious activity has been observed - **transactionsCount1Y** — _integer_ — Number of transactions (successful and abandoned) for this cardholder account with the 3DS Requestor across all payment accounts in the previous year. - **transactionsCount24H** — _integer_ — Number of transactions (successful and abandoned) for this cardholder account with the 3DS Requestor across all payment accounts in the previous 24 hours. - **giftCard** — (`GiftCard`) — _object_ - **count** — _integer_ — For a prepaid or gift card purchase, the total number of individual prepaid or gift cards/codes purchased. - **totalAmount** — _number_ — For a prepaid or gift card purchase, the total purchase amount of prepaid or gift card(s) in major units (for example, USD 123.45 is 123). - **currency** — _string_ — For a prepaid or gift card purchase, the [3-letter ISO currency code](https://docs.nuvei.com/?p=8513#currency-codes) of the gift card. - **delivery** — (`Delivery`) — _object_ - **deliveryEmail** — _string_ — For electronic delivery, the email address to which the merchandise was delivered. - **timeFrame** — _string_ — enum: `01`, `02`, `03`, `04` — Values: 01 = Electronic Delivery | 02 = Same day shipping | 03 = Overnight shipping | 04 = 2-day or more shipping - **preOrder** — (`PreOrder`) — _object_ — Indicates whether the cardholder is placing an order for merchandise with a future availability or release date. - **date** — _string_ — format: `date` - **purchaseIndicator** — _string_ — enum: `01`, `02` — Indicates whether the cardholder is placing an order for merchandise with a future availability or release date. Values: 01 = Merchandise available | 02 = Future availability - **reorderItemsIndicator** — (`ReorderItemsIndicator`) — _string_ — enum: `01`, `02` — Indicates whether the cardholder is reordering previously purchased merchandise. Values: 01 = First time ordered | 02 - Reordered - **shippingIndicator** — (`ShippingIndicator`) — _string_ — enum: `01`, `02`, `03`, `04`, `05`, `06`, `07` — Indicates the selected shipping method for the transaction. Values: 01 = Ship to cardholder's billing address | 02 = Ship to another verified address on file with merchant | 03 = Ship to address that is different than the cardholder's billing address | 04 = Ship to Store/Pickup at local store (store address shall be populated in shipping address parameters) | 05 = Digital goods (includes online services, electronic gift cards and redemption codes) | 06 = Travel and event tickets, not shipped | 07 = Other (for example: gaming, digital services not shipped, e-media subscriptions, etc.) - **merchantUrl** — _string_ — The URL of the merchant's fully qualified website. - **challengeWindowSize** — (`ChallengeWindowSize`) — _string_ — **required** — enum: `01`, `02`, `03`, `04`, `05` — The dimensions of the challenge window. Values: 01 = 250 x 400 | 02 = 390 x 400 | 03 = 500 x 600 | 04 = 600 x 400 | 05 = Full screen - **platformType** — (`PlatformType`) — _string_ — enum: `01`, `02` — default: `"02"` — The device channel. Values: 01 = SDK | 02 = Browser - **externalRiskScore** — _integer_ — If you wish to request an exemption prior to the Authentication request when Nuvei is your 3DS MPI, you should provide the risk assessment that you have calculated for the transaction. Alternatively, you can use this parameter during an Authorization request without any prior authentication when the transaction amount allows it. Please contact our Risk Team to set the risk score below which an exemption can be given. Valid values are 0-100 where 0 is lowest risk and 100 is the highest risk. \ To activate sale3D and enable liability shift, include continueWithoutLiabilityShift=true in your request. \ For `low risk scores`, this may result in non-3D processing. \ For `high risk scores`, this may result in 3DS authentication \ NOTE: Nuvei's Fraud Engine considers this value if coordinated in advance with our Risk Team - **excludeForPaymentMethods** — (`ThreeDExcludedPaymentMethods`) — _array_ - **items** — (`ThreeDExclusionPaymentMethod`) — _string_ — enum: `Card`, `ApplePay`, `GooglePay`, `Paze`, `Click2Pay`, `NetworkToken` - **preventOverride** — (`PreventOverride`) — _array_ — An array of fields that cannot be overridden on the order. - **items** — (`PreventOverridei`) — _string_ — example: `"amount"` — A field that cannot be overridden on the order. - **openAmount** — (`OpenAmount`) — _object_ — Object for providing minimum and maximum amounts for open amount functionality. - **min** — _number_ — **required** - **max** — _number_ — **required** - **amountSuggestions** — _array_ - **items** — (`Amount`) — _number_ — example: `10` - **paymentMethodOverrides** — (`PaymentMethodOverrides`) — _array_ - **items** — (`PaymentMethodOverride`) — _object_ - **name** — _string_ — example: `"payPal"` - **min** — _number_ — example: `0.1` - **max** — _number_ — example: `500` - **amountSuggestions** — _array_ - **items** — (`Amount`) — _number_ — example: `10` - **aftDetails** — (`AftDetails`) — _object_ - **aftOverride** — (`AftOverride`) — _boolean_ — true or false - **recipientDetails** — (`RecipientDetails`) — _object_ - **firstName** — _string_ - **middleName** — _string_ - **lastName** — _string_ - **email** — _string_ - **phone** — _string_ - **address** — _string_ - **addressLine2** — _string_ - **identificationType** — (`IdentificationType`) — _string_ — enum: `DateOfBirth`, `CustomerId`, `NationalId`, `PassportNumber`, `DriverLicense`, `TaxId`, `CompanyRegistrationNumber`, `ProxyId`, `SocialSecurityNumber`, `AlienRegistrationNumber`, `LawEnforcementId`, `MilitaryId`, `TravelId`, `Email`, `PhoneNumber` - **identificationValue** — (`IdentificationValue`) — _string_ - **cardHolderEntityType** — (`CardHolderEntityType`) — _string_ — enum: `Business`, `Individual` - **accountReference** — (`RecipientAccountReference`) — _string_ - **addressDetails** — (`RecipientAddress`) — _object_ - **address** — _string_ - **addressLine2** — _string_ - **street** — _string_ - **zip** — _string_ - **city** — _string_ - **state** — _string_ - **countryCode** — _string_ - **mcc** — _string_ — Enables merchants to provide multiple MCC codes, subject to approval by Nuvei's underwriting team. - **feeOriginCountryCode** — _string_ - **nameVerification** — (`NameInquiryInput`) — _object_ - **enable** — _boolean_ — default: `false` - **digitalAssetType** — (`DigitalAssetType`) — _string_ — enum: `Default`, `CBDC`, `TokenizedDeposit`, `Stablecoin`, `NativeToken`, `NFT` - **extendedData** — (`PaymentsExtendedData`) — _object_ - **risk** — (`RiskAddendum`) — _object_ - **buyerRiskDetails** — (`BuyerRiskDetails`) — _object_ - **customerSince** — _string_ — format: `date-time` - **signUpIp** — _string_ - **popularityScore** — (`PopularityScore`) — _string_ — enum: `low`, `medium`, `high` - **isExistingCustomer** — _boolean_ - **isLoyaltyFlagExists** — _boolean_ - **recipientRiskDetails** — (`RecipientRiskDetails`) — _object_ - **businessName** — _string_ - **signUpIp** — _string_ - **popularityScore** — (`PopularityScore`) — _string_ — enum: `low`, `medium`, `high` - **customerSince** — _string_ — format: `date-time` - **phoneCreateDate** — _string_ — format: `date-time` - **buyerRecipientInteraction** — (`BuyerRecipientInteraction`) — _object_ - **firstInteractionAt** — _string_ — format: `date-time` - **interaction3Months** — (`InteractionFrequency`) — _string_ — enum: `low`, `medium`, `high` - **interactionFrequency** — (`InteractionFrequency`) — _string_ — enum: `low`, `medium`, `high` - **firstInteractionWithApp** — _string_ — format: `date-time` - **transactionMetrics** — (`TransactionMetrics`) — _object_ - **transactionsCount1H** — _integer_ - **transactionsCount24H** — _integer_ - **transactionsCount3Months** — _integer_ - **transactionsCountTotal** — _integer_ - **numberTopUps24H** — _integer_ - **numberTopUpReceivers** — _integer_ - **chargebacksIndicator** — (`ChargebacksIndicator`) — _string_ — enum: `zero`, `low`, `medium`, `high` - **isTangible** — _boolean_ - **paymentFlow** — (`PaymentFlow`) — _object_ - **paymentConsentMode** — (`PaymentConsentMode`) — _string_ — enum: `automatic`, `manual` - **highRiskItemFlag** — _boolean_ - **verticalCategory** — _string_ - **isTangible** — _boolean_ - **deliveryInfo** — (`DeliveryInfo`) — _object_ - **deliveryMethod** — _string_ - **deliveryAddressChangedAt** — _string_ — format: `date-time` - **travelBookingInfo** — (`TravelBookingInfo`) — _object_ - **type** — _string_ - **serviceStartAt** — _string_ — format: `date-time` - **serviceEndAt** — _string_ — format: `date-time` - **changeGuestAllowed** — _boolean_ - **startCountry** — _string_ - **endCountry** — _string_ - **startCity** — _string_ - **endCity** — _string_ - **startZipCode** — _string_ - **endZipCode** — _string_ - **startSpot** — _string_ - **endSpot** — _string_ - **geoLocation** — (`GeoLocation`) — _object_ - **storeLatitude** — _string_ - **storeLongitude** — _string_ - **senderLatitude** — _string_ - **senderLongitude** — _string_ - **merchantScores** — (`MerchantScores`) — _object_ - **multiCardUsageIndicator** — _integer_ — Indication of 2 cards transaction. Values: `0` - not a multicard transaction `1` - multicard transaction with 1st card `2` - multicard transaction with 2nd card - **identityRiskScore** — _number_ - **phoneVerificationRiskScore** — _number_ - **storeInfo** — (`StoreInfo`) — _object_ - **storeId** — _string_ - **customData** — (`AddendumCustomData`) — _object_ - **stringOne** — _string_ - **stringTwo** — _string_ - **intOne** — _integer_ - **localPayment** — (`LocalPaymentAddendum`) — _object_ - **vatAmount** — _number_ — VAT tax amount calculated by the merchant in domestic currency - **nationalConsumptionTaxAmount** — _number_ — Consumption tax amount calculated by the merchant in domestic currency - **taxBase** — (`LocalPaymentTaxBase`) — _object_ - **amount** — _number_ — Purchase amount in domestic currency on which taxes were calculated - **currencyCode** — _string_ — ISO-4217 alpha-3 currency code - **tipAmount** — _number_ — Tip amount paid during the purchase transaction - **airportChargeAmount** — _number_ — Airport charge portion of an airline ticket purchase - **nationalId** — _string_ — Cardholder national identification number - **installments** — (`FrontEndInstallmentsAddendum`) — _object_ - **numberOfInstallments** — _integer_ - **type** — _string_ — enum: `deferredWithInterest`, `deferredWithoutInterest`, `deferredWithoutInterestAndGracePeriod` - **fundAnticipationType** — _string_ — enum: `fundedPerOriginalPlan`, `fundedAfter1Day`, `fundedAfter30Days` - **debitType** — _string_ — enum: `singularPayment`, `installments`, `specialDebit` - **lodging** — (`LodgingAddendum`) — _object_ - **reservationDetails** — (`LodgingReservationDetails`) — _object_ - **purchaseId** — _string_ — Merchant reference - **customerServicePhone** — _string_ — Customer service phone number - **noShowIndicator** — (`NoShowIndicator`) — _string_ — enum: `NotApplicable`, `NoShow` - **extraCharges** — (`LodgingExtraCharges`) — _string_ — enum: `PositionNotUsed`, `Reserved`, `Restaurant`, `GiftShop`, `MiniBar`, `Telephone`, `Other`, `Laundry` - **checkInDate** — _string_ — Check-in date in YYYYMMDD format - **checkOutDate** — _string_ — Check-out date in YYYYMMDD format - **propertyPhone** — _string_ — Property phone number - **lodgingName** — _string_ — Hotel or cruise name - **lodgingType** — (`LodgingType`) — _string_ — enum: `Cruise`, `Hotel` - **totalAuthAmount** — _number_ — Total authorized amount - **rooms** — (`LodgingRoomDetails`) — _object_ - **rate** — _number_ — Daily room rate - **nights** — _integer_ — Total number of nights - **passengerDetails** — _array_ — List of passengers - **items** — (`LodgingPassengerDetails`) — _object_ - **fullName** — _string_ — Full name of the passenger - **segments** — _array_ — Departure leg dates, up to 4 - **items** — (`LodgingSegment`) — _object_ - **departureDate** — _string_ — Departure date in YYYYMMDD format - **airlines** — (`PaymentReservationAddendum`) — _object_ - **pnrCode** — _string_ — Passenger Name Record identifier in airline reservation system - **bookingSystemUniqueId** — _string_ — Unique reservation identifier in the GDS - **computerizedReservationSystem** — _string_ — CRS name, e.g. `Amadeus`, `Sabre`, `Galileo` - **ticketNumber** — _string_ — Primary airline ticket number - **documentType** — _string_ — Document type, typically `TKT` (e-ticket) or `OT` - **flightDateUtc** — _string_ — format: `date-time` — UTC date/time of first flight leg - **issueDateUtc** — _string_ — format: `date-time` — UTC timestamp of last ticket issue or reissue - **travelAgencyCode** — _string_ — IATA agency code - **travelAgencyName** — _string_ — Travel agency name - **travelAgencyInvoiceNumber** — _string_ — Agency invoice reference - **travelAgencyPlaneName** — _string_ — Aircraft type ICAO code (e.g., `B737`) - **restrictedTicketIndicator** — (`RestrictedTicketIndicator`) — _string_ — enum: `Restricted`, `NotRestricted` - **issuingCarrierCode** — _string_ — Two-letter IATA issuing airline code - **isPayerTraveling** — _boolean_ — Indicates whether the payer is a passenger - **passengersCount** — _integer_ — Total number of passengers (excluding infants) - **infantsCount** — _integer_ — Number of infants - **payerPassportId** — _string_ — Passport identifier of payer - **totalAmounts** — (`TotalAmounts`) — _object_ - **fare** — _number_ — Total fare excluding taxes and fees - **taxes** — _number_ — Total tax amount - **fee** — _number_ — Total fees - **boardingFee** — _number_ — Boarding or service fee - **ticketIssueAddress** — _string_ — Ticket issuing location - **ancillaryServices** — (`AncillaryServicesDetails`) — _array_ - **items** — (`AncillaryServiceInfo`) — _object_ - **passenger** — (`AncillaryServicePassenger`) — _object_ - **firstName** — _string_ - **lastName** — _string_ - **flight** — (`AncillaryServiceFlight`) — _object_ - **ticketNumber** — _string_ - **services** — _array_ - **items** — (`AncillaryService`) — _object_ - **categoryCode** — _string_ - **subCategoryCode** — _string_ - **amount** — _number_ - **currency** — _string_ - **ticketNumber** — _string_ - **flightLegsDetails** — _array_ - **items** — (`FlightLegDetails`) — _object_ - **airlineCode** — _string_ — **required** — Two-letter IATA airline code - **flightNumber** — _string_ — **required** — Airline flight number - **departureDate** — _string_ — **required** — format: `date-time` — Local departure airport date/time - **arrivalDate** — _string_ — **required** — format: `date-time` — Local arrival airport date/time - **departureCountry** — _string_ — **required** — ISO-2 country code - **departureCity** — _string_ — Departure city name - **departureAirport** — _string_ — **required** — IATA 3-letter departure airport code - **destinationCountry** — _string_ — **required** — ISO-2 country code - **destinationCity** — _string_ — Destination city name - **destinationAirport** — _string_ — **required** — IATA 3-letter destination airport code - **type** — (`LegType`) — _string_ — **required** — enum: `Domestic`, `International` — `Domestic` or `International` - **flightType** — (`FlightType`) — _string_ — enum: `RoundTrip`, `OneWay` — `RoundTrip` or `OneWay`. Required when Risk pre-Auth is enabled - **ticketDeliveryMethod** — _string_ — For example - `P` physical or `E` electronic. - **ticketDeliveryRecipient** — _string_ — Ticket recipient name - **fareBasisCode** — _string_ — Fare basis or booking code - **serviceClass** — _string_ — Cabin or service class - **seatClass** — _string_ — Seat or fare class - **stopOverCode** — (`StopOverCode`) — _string_ — **required** — enum: `O`, `X`, ` ` — `O` - destination, `X` - connection, or ` ` - blank - **departureTaxAmount** — _number_ — Departure tax amount - **departureTaxCurrency** — _string_ — ISO-3 currency code - **fareAmount** — _number_ — Fare amount for this leg - **feeAmount** — _number_ — Fees for this leg - **taxAmount** — _number_ — Taxes for this leg - **layoutInterval** — _integer_ — Minutes between legs - **passengersDetails** — _array_ - **items** — (`PassengerDetails`) — _object_ - **passportNumber** — _string_ — Passport number exactly as printed - **customerCode** — _string_ — Airline customer identifier - **frequentFlyerCode** — _string_ — Loyalty program number - **title** — _string_ — Passenger title, e.g. `Mr`, `Ms`, `Dr` - **firstName** — _string_ — **required** — Passenger first name - **lastName** — _string_ — **required** — Passenger last name - **middleName** — _string_ — Required if present on passport - **passengerName** — _string_ — Full passenger name as shown on the ticket - **dateOfBirth** — _string_ — format: `date` — Date of birth, YYYY-MM-DD - **phone** — _string_ — Passenger contact phone number - **marketplace** — (`MarketplaceAddendum`) — _object_ - **description** — _string_ - **sellerDetails** — _array_ - **items** — (`MarketplaceSellerDetails`) — _object_ - **uniqueAccountIdentifier** — (`MarketplaceUniqueAccountIdentifier`) — _object_ - **phone** — _string_ - **email** — _string_ - **other** — _string_ - **subMerchant** — (`MarketplaceSubMerchant`) — _object_ - **id** — _string_ - **name** — _string_ - **zip** — _string_ - **productDetails** — (`MarketplaceProductDetails`) — _object_ - **category** — _string_ - **name** — _string_ - **accountDetails** — (`MarketplaceAccountDetails`) — _object_ - **registrationDate** — _string_ — format: `date-time` - **accountLastModified** — (`MarketplaceAccountLastModified`) — _object_ - **password** — _string_ — format: `date-time` - **email** — _string_ — format: `date-time` - **listing** — _string_ — format: `date-time` - **login** — _string_ — format: `date-time` - **address** — _string_ — format: `date-time` - **sellerRating** — _number_ - **numberOfTrades** — _number_ - **volumeOfTrades** — _number_ - **buyerDetails** — _array_ - **items** — (`MarketplaceBuyerDetails`) — _object_ - **uniqueAccountIdentifier** — (`MarketplaceUniqueAccountIdentifier`) — _object_ - **phone** — _string_ - **email** — _string_ - **other** — _string_ - **accountDetails** — (`MarketplaceAccountDetails`) — _object_ - **registrationDate** — _string_ — format: `date-time` - **accountLastModified** — (`MarketplaceAccountLastModified`) — _object_ - **password** — _string_ — format: `date-time` - **email** — _string_ — format: `date-time` - **listing** — _string_ — format: `date-time` - **login** — _string_ — format: `date-time` - **address** — _string_ — format: `date-time` - **numberOfTrades** — _number_ - **volumeOfTrades** — _number_ - **level23** — (`Level23Addendum`) — _object_ — Level 2 / Level 3 transaction data. - **taxIndicator** — (`TaxIndicator`) — _string_ — enum: `NotIncluded`, `StateOrProvincialIncluded`, `NotSubjectToTax` — Indicates whether local tax is included. * `NotIncluded` * `StateOrProvincialIncluded` * `NotSubjectToTax` Must contain `StateOrProvincialIncluded` if the local tax field is non-zero. - **customerCode** — _string_ — Customer / consumer reference identifier. - **merchantVatRegistrationNumber** — _string_ — Merchant VAT registration number or SBRN. - **customerVatRegistrationNumber** — _string_ — Customer VAT registration number. - **summaryCommodityCode** — _string_ — National standard commodity code. - **destinationZip** — _string_ — Destination postal code. - **shipFromZip** — _string_ — Shipment origin postal code. - **destinationCountryCode** — _string_ — Destination country code (ISO-3166). - **uniqueVatReference** — _string_ — VAT invoice reference number. - **orderDate** — _string_ — Date order was taken in `YYMMDD` format. - **vatOrTaxRate** — _number_ — Tax rate applied to freight/shipping (implied decimals). - **lineItemCount** — _integer_ — Number of line items. Used as a counter/indicator, not the actual array size. - **lineItemCountTax** — _integer_ — Canadian tax line item count. - **taxItems** — _array_ — Up to 6 Canadian tax items per transaction. - **items** — (`TaxItem`) — _object_ - **taxAmountIndicator** — (`TaxAmountIndicator`) — _string_ — enum: `NoAdditionalTaxReporting`, `AdditionalTaxReporting` — Indicator for additional tax capture / reporting. - **taxAmount** — _number_ — Detailed tax amount (implied decimals). - **taxRate** — _string_ — Tax rate applied. Numeric value without decimal point; exponent provided separately. Example: `"07500"` with `taxRateExponent = 3` represents `7.5%`. - **taxRateExponent** — _integer_ — Decimal position for `taxRate`. - **taxTypeApplied** — _string_ — Tax category indicator. - **taxTypeIdentifier** — _string_ — Type of tax collected. - **items** — _array_ — Up to 998 Level 3 line items per transaction. - **items** — (`LineItem`) — _object_ - **commodityCode** — _string_ — Commodity classification code. - **description** — _string_ — Item description. - **productCode** — _string_ — Product identifier. - **quantity** — _string_ — Quantity purchased (exponent-based). - **unitMeasure** — _string_ — Unit of measure code. - **price** — _number_ — Unit price (implied decimals). - **vatOrTaxAmount** — _number_ — VAT or sales tax amount. - **vatOrTaxRate** — _number_ — VAT / sales tax rate. - **totalAmount** — _number_ — Total line item amount. - **discountRate** — _string_ — Discount rate (uses exponent). - **discount** — _number_ — Discount amount. - **taxType** — _string_ — Tax category indicator. - **quantityExponentIndicator** — _integer_ — Decimal position of `quantity`. - **discountRateExponent** — _integer_ — Decimal position of `discountRate`. - **discountTreatmentCode** — (`DiscountTreatmentCode`) — _string_ — enum: `NoDiscount`, `PostDiscountTax`, `PreDiscountTax` — Discount treatment code. - **creditIndicator** — (`CreditIndicator`) — _string_ — enum: `Debit`, `Credit` — Debit / Credit indicator for the line item. - **extendedAmount** — _number_ — Quantity x price (net). - **amountDetails** — (`Level23AmountDetails`) — _object_ - **taxAmount** — _number_ — State or provincial tax amount included in the transaction amount. Expressed in the transaction currency, with two implied decimals. May contain zeros. - **nationalTaxAmount** — _number_ — National tax amount included in the transaction amount. - **totalDiscount** — _number_ — Total discount amount applied. - **totalShipping** — _number_ — Freight / shipping amount. - **dutyAmount** — _number_ — Duty tax amount. - **vatOrTaxAmount** — _number_ — VAT / tax on shipping. **Responses:** - **201** — OK - Content-Type: `application/json` **Schema:** `orderResponse` - **sessionId** — _string_ — example: `"sid_4980d755d3f64304a0cbf9b0778faff8"` — A temporary access token that can be used to perform an action on an order. - **result** — (`ApiOrderResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `error`, `success`, `pending` — The transaction status. - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `orderResponse` - **sessionId** — _string_ — example: `"sid_4980d755d3f64304a0cbf9b0778faff8"` — A temporary access token that can be used to perform an action on an order. - **result** — (`ApiOrderResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `error`, `success`, `pending` — The transaction status. - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `orderResponse` - **sessionId** — _string_ — example: `"sid_4980d755d3f64304a0cbf9b0778faff8"` — A temporary access token that can be used to perform an action on an order. - **result** — (`ApiOrderResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `error`, `success`, `pending` — The transaction status. - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **403** — Forbidden - Content-Type: `application/json` **Schema:** `orderResponse` - **sessionId** — _string_ — example: `"sid_4980d755d3f64304a0cbf9b0778faff8"` — A temporary access token that can be used to perform an action on an order. - **result** — (`ApiOrderResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `error`, `success`, `pending` — The transaction status. - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **500** — Internal Server Error - Content-Type: `application/json` **Schema:** `orderResponse` - **sessionId** — _string_ — example: `"sid_4980d755d3f64304a0cbf9b0778faff8"` — A temporary access token that can be used to perform an action on an order. - **result** — (`ApiOrderResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `error`, `success`, `pending` — The transaction status. - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting #### PATCH **Summary:** Update Order Amount Updates the amount of an order. **Operation ID:** `patchOrder` **Tags:** Orders **Security:** apiKey **Request Body:** _Content-Type: `application/json`_ **Schema:** `PatchOrderRequest` Request for updating the amount of an order if `openAmount` class was provided during Order creation. - **amount** — _number_ — **required** **Responses:** - **200** — OK - Content-Type: `application/json` **Schema:** `PatchOrderResponse` Response of the PATCH Order - **result** — (`ApiOrderResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `error`, `success`, `pending` — The transaction status. - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `PatchOrderResponse` Response of the PATCH Order - **result** — (`ApiOrderResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `error`, `success`, `pending` — The transaction status. - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `PatchOrderResponse` Response of the PATCH Order - **result** — (`ApiOrderResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `error`, `success`, `pending` — The transaction status. - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **403** — Forbidden - Content-Type: `application/json` **Schema:** `PatchOrderResponse` Response of the PATCH Order - **result** — (`ApiOrderResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `error`, `success`, `pending` — The transaction status. - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **404** — Not Found - Content-Type: `application/json` **Schema:** `PatchOrderResponse` Response of the PATCH Order - **result** — (`ApiOrderResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `error`, `success`, `pending` — The transaction status. - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **500** — Internal Server Error - Content-Type: `application/json` **Schema:** `PatchOrderResponse` Response of the PATCH Order - **result** — (`ApiOrderResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `error`, `success`, `pending` — The transaction status. - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting ### `/orders/status` #### GET **Summary:** Get Order Status Gets the status of a previously created order. **Operation ID:** `getOrdersStatus` **Tags:** Orders **Security:** apiKey **Responses:** - **200** — OK - Content-Type: `application/json` **Schema:** `OrderStatusResponse` Order Status Response - **refundId** — (`IdType`) — _string_ — example: `"34564567"` - **paymentId** — (`IdType`) — _string_ — example: `"34564567"` - **transactionId** — (`TransactionId`) — _string_ — Nuvei Digital Payments Gateway Transaction ID. - **externalTransactionId** — (`ExternalTransactionId`) — _string_ — The transaction ID of the transaction in the event that an external service is used. - **amount** — _number_ — The transaction amount. - **currency** — _string_ — The [3-letter ISO currency code](https://docs.nuvei.com/?p=8513#currency-codes). - **transactionType** — (`TransactionType`) — _string_ — enum: `Auth`, `Sale`, `PreAuth`, `Settle`, `Void`, `Refund`, `InitAuth3D`, `Auth3D`, `Sale3D` — The type of transaction. - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `approved`, `authorizedOnly`, `declined`, `error`, `pending`, `redirect`, `challenge`, `fingerprint`, `authenticated`, `authenticationNotSupported`, `actionRequired` — The transaction status. - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **authCode** — _string_ — The authorization code of the transaction. - **cvv2Code** — _string_ — The CVV2 (card verification value) response. Values: M = CVV2 Match | N = CVV2 No Match | P = Not Processed | U = Issuer is not certified and/or has not provided Visa the encryption keys | S = CVV2 processor is unavailable. - **avsCode** — _string_ — The address verification service (AVS) response. Values: A = The street address matches, the ZIP code does not. | W = Postal code matches, the street address does not. | Y = Postal code and the street address match. | X = An exact match of both the 9-digit ZIP code and the street address. | Z = Postal code matches, the street code does not. | U = Issuer is unavailable. | S = AVS not supported by issuer. | R = Retry. | B = Not authorized (declined). | N = Both the street address and postal code do not match. - **partialApproval** — (`PartialApprovalOutput`) — _object_ - **requestedAmount** — _number_ — **required** — The original requested amount. - **requestedCurrency** — _string_ — **required** — The [currency](https://docs.nuvei.com/?p=8513#currency-codes) of the original request. - **redirectUrl** — _string_ — For an APM, the URL to which the customer is redirected in order to complete the transaction process. - **actionDetails** — (`KeyValuePair`) — _object_ — default: `{"type":"string"}` — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **paymentOption** — (`PaymentOptionOutput`) — _object_ - **card** — (`CardOutput`) — _object_ - **cardHolderName** — _string_ — The cardholder name. - **maskedCardNumber** — _string_ — The masked credit card number. - **bin** — _string_ — The first six digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **last4Digits** — _string_ — The last four digits of the card number. - **expirationMonth** — _string_ — The card expiration month. - **expirationYear** — _string_ — The card expiration year. - **acquirerId** — _string_ — The ID of the acquirer that processed the transaction. - **cardType** — _string_ — The type of card used in the transaction. Values: Credit, Debit - **cardBrand** — _string_ - **secondaryBrand** — _string_ - **issuerBankName** — _string_ - **issuerCountry** — _string_ - **processedBrand** — _string_ — The card brand used in the transaction. - **paymentTokenId** — (`TokenId`) — _string_ - **merchantReference** — (`MerchantReference`) — _string_ — example: `"12391284AF87C7D2"` — Merchant Reference for a business entity (token, subscription, etc.) - **threeD** — (`ThreeDOutput`) — _object_ - **fingerprintUrl** — _string_ — The URL to post the fingerprintPayload to perform device fingerprinting. - **fingerprintPayload** — _string_ — The payload to be posted to the fingerprintUrl to perform the device fingerprinting. - **dsTransId** — _string_ — format: `uuid` — The transaction ID of the Directory Server (part of the fingerprintPayload). - **acsUrl** — _string_ — The URL of the Access Control Server to perform the challenge request. - **cReq** — _string_ — The payload to be posted to the acsUrl to perform the challenge request. - **acsTransId** — _string_ — format: `uuid` — The transaction ID of the Access Control Server (part of the cReq). - **version** — _string_ — example: `"2.1.0"` — The full version of the 3DS protocol for the transaction. - **eci** — _string_ — example: `"02"` — The Electronic Commerce Indicator (ECI) that indicates the level of security used in a 3D-Secure program when the cardholder provides payment information to the merchant. Visa values: 5 = The cardholder was successfully authenticated. | 6 = The issuer or cardholder does not participate in a 3D-Secure program. | 7 = Payment authentication was not performed. Mastercard values: 2 = The cardholder was successfully authenticated. | 1 = The issuer or cardholder does not participate in a 3D-Secure program. | 6 = Payment authentication was not performed. | 7 = The cardholder was successfully authenticated for the initial [MIT](https://docs.nuvei.com/?p=492931). - **cavv** — _string_ — Cardholder Authentication Verification Value - cryptographically secure hash of various pieces of information related to the transaction that can be used as a proof for the 3DS authentication. - **whiteListStatus** — (`WhiteListStatus`) — _string_ — enum: `Y`, `N`, `E`, `P`, `R`, `U` — Indicates if this consumer defined this merchant as whitelist or not. If the consumer defined the merchant, then this is the reason the challenge did not happen. Values: Y = 3DS Requestor is whitelisted by cardholder | N = 3DS Requestor is not whitelisted by cardholder | E = Not eligible as determined by issuer | P = Pending confirmation by cardholder | R = Cardholder rejected | U = Whitelist status unknown, unavailable, or does not apply - **acsChallengeMandate** — (`AcsChallengeMandate`) — _string_ — enum: `Y`, `N` — The 3D Secure 2.0 challenge indication. Values: N = not required | Y = required - **authenticationType** — (`AuthenticationType`) — _string_ — The type of authentication performed during the 3D Secure 2.0 challenge. If the merchant wants to react differently for each authentication type, then they can, per the value returned. Values: 01 = Static | 02 = Dynamic | 03 = OOB | 04 = Decoupled | 05-79 = Reserved for EMVCo future use (values invalid until defined by EMVCo) | 80-99 = Reserved for DS use - **authenticationResult** — (`AuthenticationResult`) — _string_ — enum: `Y`, `N`, `U`, `A`, `C`, `D`, `R`, `I` — Indicates whether a transaction qualifies as an authenticated transaction or account verification. Note: The Final CRes message can contain only a value of Y or N. Values: Y = Authentication Verification Successful | N = Not Authenticated /Account Not Verified; Transaction denied | U = Authentication/ Account Verification Could Not Be Performed; Technical or other problem, as indicated in ARes or RReq | A = Attempts Processing Performed; Not Authenticated/Verified, but a proof of attempted authentication/verification is provided | C = Challenge Required; Additional authentication is required using the CReq/CRes | D = Challenge Required; Decoupled Authentication confirmed | R = Authentication/ Account Verification Rejected; Issuer is rejecting | I = Informational only (issuer approved SCA exemption) - **flow** — (`Flow`) — _string_ — enum: `Challenge`, `Frictionless`, `Exemption`, `NoLiability`, `Stop` - **reasonId** — _string_ - **reason** — _string_ - **cardholderInfoText** — _string_ — The text provided by the ACS/Issuer to the cardholder during a frictionless transaction that was not authenticated by the ACS/Issuer. For example: “Additional authentication is needed for this transaction. Please contact [Issuer Name] at xxx-xxx-xxxx.' If this parameter is populated, the merchant must display the information to the cardholder. - **merchantId** — _string_ — The Merchant ID provided by Nuvei. - **challengePreferenceReason** — _string_ — This value is returned following a 3D-Secure v2 challenge and describes the reason for challenge. Press [here](https://docs.nuvei.com/?p=492581#challenge-preference-reasons) for more information. - **acquirerDecision** — _string_ — The acquirer's request from the merchant to perform a certain flow. Values: ChallengeRequest, ExemptionRequest - **decisionReason** — _string_ — The description of the acquirer's decision. Press [here](https://docs.nuvei.com/?p=492581#challenge-preference-reasons) to see a table that presents the possible values. - **challengeCancelReason** — _string_ — Reason description for a canceled 3D-Secure authorization as received from the issuer. - **challengeCancelReasonId** — _string_ — Reason ID for a canceled 3D-Secure authorization as received from the issuer. - **isLiabilityOnIssuer** — _boolean_ — Indicates if there is 3D-Secure liability shift. If equal to '1' - Liability shift is present. If equal to '0', empty or null - No liability shift has occurred. - **alternativePaymentMethod** — (`ApmOutput`) — _object_ - **name** — _string_ — **required** — example: `"ACH"` — The APM name. - **data** — (`MaskedKeyValuePair`) — _object_ — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **merchantReference** — (`MerchantReference`) — _string_ — example: `"12391284AF87C7D2"` — Merchant Reference for a business entity (token, subscription, etc.) - **paymentTokenId** — (`TokenId`) — _string_ - **networkToken** — (`NetworkTokenOutput`) — _object_ - **provider** — (`TokenProvider`) — _string_ — enum: `ApplePay`, `GooglePay`, `Click2Pay`, `Paze` — The name of the external token provider Possible values: [ApplePay, GooglePay, Click2Pay, Paze] - **eciIndicator** — _string_ — The Electronic Commerce Indicator (ECI) that indicates the level of security used in a 3D-Secure program when the cardholder provides payment information to the merchant. Visa values: 5 = The cardholder was successfully authenticated. | 6 = The issuer or cardholder does not participate in a 3D-Secure program. | 7 = Payment authentication was not performed. Mastercard values: 2 = The cardholder was successfully authenticated. | 1 = The issuer or cardholder does not participate in a 3D-Secure program. | 6 = Payment authentication was not performed. | 7 = The cardholder was successfully authenticated for the initial [MIT](https://docs.nuvei.com/?p=492931). - **expirationMonth** — _string_ — The card expiration month. - **expirationYear** — _string_ — The card expiration year. - **cardHolderName** — _string_ — The cardholder name. - **maskedCardNumber** — _string_ — The masked credit card number. - **bin** — _string_ — The first six digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **last4Digits** — _string_ — The last four digits of the card number. - **acquirerId** — _string_ — The ID of the acquirer that processed the transaction. - **cardType** — _string_ — The type of card used in the transaction. Values: Credit, Debit - **cardBrand** — _string_ — The card brand used in the transaction. Values: VISA, MASTERCARD, AMEX - **paymentTokenId** — (`PaymentTokenId`) — _string_ — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **merchantReference** — (`MerchantReference`) — _string_ — example: `"12391284AF87C7D2"` — Merchant Reference for a business entity (token, subscription, etc.) - **threeD** — (`ThreeDOutput`) — _object_ - **fingerprintUrl** — _string_ — The URL to post the fingerprintPayload to perform device fingerprinting. - **fingerprintPayload** — _string_ — The payload to be posted to the fingerprintUrl to perform the device fingerprinting. - **dsTransId** — _string_ — format: `uuid` — The transaction ID of the Directory Server (part of the fingerprintPayload). - **acsUrl** — _string_ — The URL of the Access Control Server to perform the challenge request. - **cReq** — _string_ — The payload to be posted to the acsUrl to perform the challenge request. - **acsTransId** — _string_ — format: `uuid` — The transaction ID of the Access Control Server (part of the cReq). - **version** — _string_ — example: `"2.1.0"` — The full version of the 3DS protocol for the transaction. - **eci** — _string_ — example: `"02"` — The Electronic Commerce Indicator (ECI) that indicates the level of security used in a 3D-Secure program when the cardholder provides payment information to the merchant. Visa values: 5 = The cardholder was successfully authenticated. | 6 = The issuer or cardholder does not participate in a 3D-Secure program. | 7 = Payment authentication was not performed. Mastercard values: 2 = The cardholder was successfully authenticated. | 1 = The issuer or cardholder does not participate in a 3D-Secure program. | 6 = Payment authentication was not performed. | 7 = The cardholder was successfully authenticated for the initial [MIT](https://docs.nuvei.com/?p=492931). - **cavv** — _string_ — Cardholder Authentication Verification Value - cryptographically secure hash of various pieces of information related to the transaction that can be used as a proof for the 3DS authentication. - **whiteListStatus** — (`WhiteListStatus`) — _string_ — enum: `Y`, `N`, `E`, `P`, `R`, `U` — Indicates if this consumer defined this merchant as whitelist or not. If the consumer defined the merchant, then this is the reason the challenge did not happen. Values: Y = 3DS Requestor is whitelisted by cardholder | N = 3DS Requestor is not whitelisted by cardholder | E = Not eligible as determined by issuer | P = Pending confirmation by cardholder | R = Cardholder rejected | U = Whitelist status unknown, unavailable, or does not apply - **acsChallengeMandate** — (`AcsChallengeMandate`) — _string_ — enum: `Y`, `N` — The 3D Secure 2.0 challenge indication. Values: N = not required | Y = required - **authenticationType** — (`AuthenticationType`) — _string_ — The type of authentication performed during the 3D Secure 2.0 challenge. If the merchant wants to react differently for each authentication type, then they can, per the value returned. Values: 01 = Static | 02 = Dynamic | 03 = OOB | 04 = Decoupled | 05-79 = Reserved for EMVCo future use (values invalid until defined by EMVCo) | 80-99 = Reserved for DS use - **authenticationResult** — (`AuthenticationResult`) — _string_ — enum: `Y`, `N`, `U`, `A`, `C`, `D`, `R`, `I` — Indicates whether a transaction qualifies as an authenticated transaction or account verification. Note: The Final CRes message can contain only a value of Y or N. Values: Y = Authentication Verification Successful | N = Not Authenticated /Account Not Verified; Transaction denied | U = Authentication/ Account Verification Could Not Be Performed; Technical or other problem, as indicated in ARes or RReq | A = Attempts Processing Performed; Not Authenticated/Verified, but a proof of attempted authentication/verification is provided | C = Challenge Required; Additional authentication is required using the CReq/CRes | D = Challenge Required; Decoupled Authentication confirmed | R = Authentication/ Account Verification Rejected; Issuer is rejecting | I = Informational only (issuer approved SCA exemption) - **flow** — (`Flow`) — _string_ — enum: `Challenge`, `Frictionless`, `Exemption`, `NoLiability`, `Stop` - **reasonId** — _string_ - **reason** — _string_ - **cardholderInfoText** — _string_ — The text provided by the ACS/Issuer to the cardholder during a frictionless transaction that was not authenticated by the ACS/Issuer. For example: “Additional authentication is needed for this transaction. Please contact [Issuer Name] at xxx-xxx-xxxx.' If this parameter is populated, the merchant must display the information to the cardholder. - **merchantId** — _string_ — The Merchant ID provided by Nuvei. - **challengePreferenceReason** — _string_ — This value is returned following a 3D-Secure v2 challenge and describes the reason for challenge. Press [here](https://docs.nuvei.com/?p=492581#challenge-preference-reasons) for more information. - **acquirerDecision** — _string_ — The acquirer's request from the merchant to perform a certain flow. Values: ChallengeRequest, ExemptionRequest - **decisionReason** — _string_ — The description of the acquirer's decision. Press [here](https://docs.nuvei.com/?p=492581#challenge-preference-reasons) to see a table that presents the possible values. - **challengeCancelReason** — _string_ — Reason description for a canceled 3D-Secure authorization as received from the issuer. - **challengeCancelReasonId** — _string_ — Reason ID for a canceled 3D-Secure authorization as received from the issuer. - **isLiabilityOnIssuer** — _boolean_ — Indicates if there is 3D-Secure liability shift. If equal to '1' - Liability shift is present. If equal to '0', empty or null - No liability shift has occurred. - **cardLast4Digits** — _string_ - **issuerBankName** — _string_ - **issuerCountry** — _string_ - **providerResponseDetails** — (`providerResponseDetails`) — _object_ - **code** — _string_ — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — If an error occurred on the request side, then an error reason is returned in this parameter. - **additionalTransactionInfo** — (`additionalTransactionInfo`) — _object_ - **additionalTransactionBankId** — _string_ — Indicates the APM Reference ID of the transaction. NOTE: This parameter is relevant only for certain APMs. - **additionalExternalTransactionId** — _string_ - **referenceId** — _string_ — Allows the merchant to provide an ID of a previous transaction, billing agreement, or pre-approval of an APM.NOTE: Use this parameter only if you are not using Nuvei's [User Payment Management](https://docs.nuvei.com/?p=1935#user-payment-management-tokenization) feature. - **aftDetails** — (`AftDetailsOutput`) — _object_ - **isAftTransaction** — _boolean_ - **isAftOverriden** — _boolean_ - **mcc** — _string_ - **nameVerification** — (`NameInquiryOutput`) — _object_ - **result** — (`OverallInquiryStatus`) — _string_ — enum: `noMatch`, `partialMatch`, `match`, `unverified`, `notPerformed`, `notSupported` - **firstName** — (`NameInquiryStatus`) — _string_ — enum: `noMatch`, `partialMatch`, `match`, `unverified` - **middleName** — (`NameInquiryStatus`) — _string_ — enum: `noMatch`, `partialMatch`, `match`, `unverified` - **lastName** — (`NameInquiryStatus`) — _string_ — enum: `noMatch`, `partialMatch`, `match`, `unverified` - **schemeDetails** — (`SchemeDetails`) — _object_ - **transactionLinkId** — _string_ - **400** — Bad Request - Content-Type: `application/json` **Schema:** `OrderStatusResponse` Order Status Response - **refundId** — (`IdType`) — _string_ — example: `"34564567"` - **paymentId** — (`IdType`) — _string_ — example: `"34564567"` - **transactionId** — (`TransactionId`) — _string_ — Nuvei Digital Payments Gateway Transaction ID. - **externalTransactionId** — (`ExternalTransactionId`) — _string_ — The transaction ID of the transaction in the event that an external service is used. - **amount** — _number_ — The transaction amount. - **currency** — _string_ — The [3-letter ISO currency code](https://docs.nuvei.com/?p=8513#currency-codes). - **transactionType** — (`TransactionType`) — _string_ — enum: `Auth`, `Sale`, `PreAuth`, `Settle`, `Void`, `Refund`, `InitAuth3D`, `Auth3D`, `Sale3D` — The type of transaction. - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `approved`, `authorizedOnly`, `declined`, `error`, `pending`, `redirect`, `challenge`, `fingerprint`, `authenticated`, `authenticationNotSupported`, `actionRequired` — The transaction status. - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **authCode** — _string_ — The authorization code of the transaction. - **cvv2Code** — _string_ — The CVV2 (card verification value) response. Values: M = CVV2 Match | N = CVV2 No Match | P = Not Processed | U = Issuer is not certified and/or has not provided Visa the encryption keys | S = CVV2 processor is unavailable. - **avsCode** — _string_ — The address verification service (AVS) response. Values: A = The street address matches, the ZIP code does not. | W = Postal code matches, the street address does not. | Y = Postal code and the street address match. | X = An exact match of both the 9-digit ZIP code and the street address. | Z = Postal code matches, the street code does not. | U = Issuer is unavailable. | S = AVS not supported by issuer. | R = Retry. | B = Not authorized (declined). | N = Both the street address and postal code do not match. - **partialApproval** — (`PartialApprovalOutput`) — _object_ - **requestedAmount** — _number_ — **required** — The original requested amount. - **requestedCurrency** — _string_ — **required** — The [currency](https://docs.nuvei.com/?p=8513#currency-codes) of the original request. - **redirectUrl** — _string_ — For an APM, the URL to which the customer is redirected in order to complete the transaction process. - **actionDetails** — (`KeyValuePair`) — _object_ — default: `{"type":"string"}` — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **paymentOption** — (`PaymentOptionOutput`) — _object_ - **card** — (`CardOutput`) — _object_ - **cardHolderName** — _string_ — The cardholder name. - **maskedCardNumber** — _string_ — The masked credit card number. - **bin** — _string_ — The first six digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **last4Digits** — _string_ — The last four digits of the card number. - **expirationMonth** — _string_ — The card expiration month. - **expirationYear** — _string_ — The card expiration year. - **acquirerId** — _string_ — The ID of the acquirer that processed the transaction. - **cardType** — _string_ — The type of card used in the transaction. Values: Credit, Debit - **cardBrand** — _string_ - **secondaryBrand** — _string_ - **issuerBankName** — _string_ - **issuerCountry** — _string_ - **processedBrand** — _string_ — The card brand used in the transaction. - **paymentTokenId** — (`TokenId`) — _string_ - **merchantReference** — (`MerchantReference`) — _string_ — example: `"12391284AF87C7D2"` — Merchant Reference for a business entity (token, subscription, etc.) - **threeD** — (`ThreeDOutput`) — _object_ - **fingerprintUrl** — _string_ — The URL to post the fingerprintPayload to perform device fingerprinting. - **fingerprintPayload** — _string_ — The payload to be posted to the fingerprintUrl to perform the device fingerprinting. - **dsTransId** — _string_ — format: `uuid` — The transaction ID of the Directory Server (part of the fingerprintPayload). - **acsUrl** — _string_ — The URL of the Access Control Server to perform the challenge request. - **cReq** — _string_ — The payload to be posted to the acsUrl to perform the challenge request. - **acsTransId** — _string_ — format: `uuid` — The transaction ID of the Access Control Server (part of the cReq). - **version** — _string_ — example: `"2.1.0"` — The full version of the 3DS protocol for the transaction. - **eci** — _string_ — example: `"02"` — The Electronic Commerce Indicator (ECI) that indicates the level of security used in a 3D-Secure program when the cardholder provides payment information to the merchant. Visa values: 5 = The cardholder was successfully authenticated. | 6 = The issuer or cardholder does not participate in a 3D-Secure program. | 7 = Payment authentication was not performed. Mastercard values: 2 = The cardholder was successfully authenticated. | 1 = The issuer or cardholder does not participate in a 3D-Secure program. | 6 = Payment authentication was not performed. | 7 = The cardholder was successfully authenticated for the initial [MIT](https://docs.nuvei.com/?p=492931). - **cavv** — _string_ — Cardholder Authentication Verification Value - cryptographically secure hash of various pieces of information related to the transaction that can be used as a proof for the 3DS authentication. - **whiteListStatus** — (`WhiteListStatus`) — _string_ — enum: `Y`, `N`, `E`, `P`, `R`, `U` — Indicates if this consumer defined this merchant as whitelist or not. If the consumer defined the merchant, then this is the reason the challenge did not happen. Values: Y = 3DS Requestor is whitelisted by cardholder | N = 3DS Requestor is not whitelisted by cardholder | E = Not eligible as determined by issuer | P = Pending confirmation by cardholder | R = Cardholder rejected | U = Whitelist status unknown, unavailable, or does not apply - **acsChallengeMandate** — (`AcsChallengeMandate`) — _string_ — enum: `Y`, `N` — The 3D Secure 2.0 challenge indication. Values: N = not required | Y = required - **authenticationType** — (`AuthenticationType`) — _string_ — The type of authentication performed during the 3D Secure 2.0 challenge. If the merchant wants to react differently for each authentication type, then they can, per the value returned. Values: 01 = Static | 02 = Dynamic | 03 = OOB | 04 = Decoupled | 05-79 = Reserved for EMVCo future use (values invalid until defined by EMVCo) | 80-99 = Reserved for DS use - **authenticationResult** — (`AuthenticationResult`) — _string_ — enum: `Y`, `N`, `U`, `A`, `C`, `D`, `R`, `I` — Indicates whether a transaction qualifies as an authenticated transaction or account verification. Note: The Final CRes message can contain only a value of Y or N. Values: Y = Authentication Verification Successful | N = Not Authenticated /Account Not Verified; Transaction denied | U = Authentication/ Account Verification Could Not Be Performed; Technical or other problem, as indicated in ARes or RReq | A = Attempts Processing Performed; Not Authenticated/Verified, but a proof of attempted authentication/verification is provided | C = Challenge Required; Additional authentication is required using the CReq/CRes | D = Challenge Required; Decoupled Authentication confirmed | R = Authentication/ Account Verification Rejected; Issuer is rejecting | I = Informational only (issuer approved SCA exemption) - **flow** — (`Flow`) — _string_ — enum: `Challenge`, `Frictionless`, `Exemption`, `NoLiability`, `Stop` - **reasonId** — _string_ - **reason** — _string_ - **cardholderInfoText** — _string_ — The text provided by the ACS/Issuer to the cardholder during a frictionless transaction that was not authenticated by the ACS/Issuer. For example: “Additional authentication is needed for this transaction. Please contact [Issuer Name] at xxx-xxx-xxxx.' If this parameter is populated, the merchant must display the information to the cardholder. - **merchantId** — _string_ — The Merchant ID provided by Nuvei. - **challengePreferenceReason** — _string_ — This value is returned following a 3D-Secure v2 challenge and describes the reason for challenge. Press [here](https://docs.nuvei.com/?p=492581#challenge-preference-reasons) for more information. - **acquirerDecision** — _string_ — The acquirer's request from the merchant to perform a certain flow. Values: ChallengeRequest, ExemptionRequest - **decisionReason** — _string_ — The description of the acquirer's decision. Press [here](https://docs.nuvei.com/?p=492581#challenge-preference-reasons) to see a table that presents the possible values. - **challengeCancelReason** — _string_ — Reason description for a canceled 3D-Secure authorization as received from the issuer. - **challengeCancelReasonId** — _string_ — Reason ID for a canceled 3D-Secure authorization as received from the issuer. - **isLiabilityOnIssuer** — _boolean_ — Indicates if there is 3D-Secure liability shift. If equal to '1' - Liability shift is present. If equal to '0', empty or null - No liability shift has occurred. - **alternativePaymentMethod** — (`ApmOutput`) — _object_ - **name** — _string_ — **required** — example: `"ACH"` — The APM name. - **data** — (`MaskedKeyValuePair`) — _object_ — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **merchantReference** — (`MerchantReference`) — _string_ — example: `"12391284AF87C7D2"` — Merchant Reference for a business entity (token, subscription, etc.) - **paymentTokenId** — (`TokenId`) — _string_ - **networkToken** — (`NetworkTokenOutput`) — _object_ - **provider** — (`TokenProvider`) — _string_ — enum: `ApplePay`, `GooglePay`, `Click2Pay`, `Paze` — The name of the external token provider Possible values: [ApplePay, GooglePay, Click2Pay, Paze] - **eciIndicator** — _string_ — The Electronic Commerce Indicator (ECI) that indicates the level of security used in a 3D-Secure program when the cardholder provides payment information to the merchant. Visa values: 5 = The cardholder was successfully authenticated. | 6 = The issuer or cardholder does not participate in a 3D-Secure program. | 7 = Payment authentication was not performed. Mastercard values: 2 = The cardholder was successfully authenticated. | 1 = The issuer or cardholder does not participate in a 3D-Secure program. | 6 = Payment authentication was not performed. | 7 = The cardholder was successfully authenticated for the initial [MIT](https://docs.nuvei.com/?p=492931). - **expirationMonth** — _string_ — The card expiration month. - **expirationYear** — _string_ — The card expiration year. - **cardHolderName** — _string_ — The cardholder name. - **maskedCardNumber** — _string_ — The masked credit card number. - **bin** — _string_ — The first six digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **last4Digits** — _string_ — The last four digits of the card number. - **acquirerId** — _string_ — The ID of the acquirer that processed the transaction. - **cardType** — _string_ — The type of card used in the transaction. Values: Credit, Debit - **cardBrand** — _string_ — The card brand used in the transaction. Values: VISA, MASTERCARD, AMEX - **paymentTokenId** — (`PaymentTokenId`) — _string_ — example: `"1eaf1356-a9a2-4a16-a0c1-290ba2265257"` - **merchantReference** — (`MerchantReference`) — _string_ — example: `"12391284AF87C7D2"` — Merchant Reference for a business entity (token, subscription, etc.) - **threeD** — (`ThreeDOutput`) — _object_ - **fingerprintUrl** — _string_ — The URL to post the fingerprintPayload to perform device fingerprinting. - **fingerprintPayload** — _string_ — The payload to be posted to the fingerprintUrl to perform the device fingerprinting. - **dsTransId** — _string_ — format: `uuid` — The transaction ID of the Directory Server (part of the fingerprintPayload). - **acsUrl** — _string_ — The URL of the Access Control Server to perform the challenge request. - **cReq** — _string_ — The payload to be posted to the acsUrl to perform the challenge request. - **acsTransId** — _string_ — format: `uuid` — The transaction ID of the Access Control Server (part of the cReq). - **version** — _string_ — example: `"2.1.0"` — The full version of the 3DS protocol for the transaction. - **eci** — _string_ — example: `"02"` — The Electronic Commerce Indicator (ECI) that indicates the level of security used in a 3D-Secure program when the cardholder provides payment information to the merchant. Visa values: 5 = The cardholder was successfully authenticated. | 6 = The issuer or cardholder does not participate in a 3D-Secure program. | 7 = Payment authentication was not performed. Mastercard values: 2 = The cardholder was successfully authenticated. | 1 = The issuer or cardholder does not participate in a 3D-Secure program. | 6 = Payment authentication was not performed. | 7 = The cardholder was successfully authenticated for the initial [MIT](https://docs.nuvei.com/?p=492931). - **cavv** — _string_ — Cardholder Authentication Verification Value - cryptographically secure hash of various pieces of information related to the transaction that can be used as a proof for the 3DS authentication. - **whiteListStatus** — (`WhiteListStatus`) — _string_ — enum: `Y`, `N`, `E`, `P`, `R`, `U` — Indicates if this consumer defined this merchant as whitelist or not. If the consumer defined the merchant, then this is the reason the challenge did not happen. Values: Y = 3DS Requestor is whitelisted by cardholder | N = 3DS Requestor is not whitelisted by cardholder | E = Not eligible as determined by issuer | P = Pending confirmation by cardholder | R = Cardholder rejected | U = Whitelist status unknown, unavailable, or does not apply - **acsChallengeMandate** — (`AcsChallengeMandate`) — _string_ — enum: `Y`, `N` — The 3D Secure 2.0 challenge indication. Values: N = not required | Y = required - **authenticationType** — (`AuthenticationType`) — _string_ — The type of authentication performed during the 3D Secure 2.0 challenge. If the merchant wants to react differently for each authentication type, then they can, per the value returned. Values: 01 = Static | 02 = Dynamic | 03 = OOB | 04 = Decoupled | 05-79 = Reserved for EMVCo future use (values invalid until defined by EMVCo) | 80-99 = Reserved for DS use - **authenticationResult** — (`AuthenticationResult`) — _string_ — enum: `Y`, `N`, `U`, `A`, `C`, `D`, `R`, `I` — Indicates whether a transaction qualifies as an authenticated transaction or account verification. Note: The Final CRes message can contain only a value of Y or N. Values: Y = Authentication Verification Successful | N = Not Authenticated /Account Not Verified; Transaction denied | U = Authentication/ Account Verification Could Not Be Performed; Technical or other problem, as indicated in ARes or RReq | A = Attempts Processing Performed; Not Authenticated/Verified, but a proof of attempted authentication/verification is provided | C = Challenge Required; Additional authentication is required using the CReq/CRes | D = Challenge Required; Decoupled Authentication confirmed | R = Authentication/ Account Verification Rejected; Issuer is rejecting | I = Informational only (issuer approved SCA exemption) - **flow** — (`Flow`) — _string_ — enum: `Challenge`, `Frictionless`, `Exemption`, `NoLiability`, `Stop` - **reasonId** — _string_ - **reason** — _string_ - **cardholderInfoText** — _string_ — The text provided by the ACS/Issuer to the cardholder during a frictionless transaction that was not authenticated by the ACS/Issuer. For example: “Additional authentication is needed for this transaction. Please contact [Issuer Name] at xxx-xxx-xxxx.' If this parameter is populated, the merchant must display the information to the cardholder. - **merchantId** — _string_ — The Merchant ID provided by Nuvei. - **challengePreferenceReason** — _string_ — This value is returned following a 3D-Secure v2 challenge and describes the reason for challenge. Press [here](https://docs.nuvei.com/?p=492581#challenge-preference-reasons) for more information. - **acquirerDecision** — _string_ — The acquirer's request from the merchant to perform a certain flow. Values: ChallengeRequest, ExemptionRequest - **decisionReason** — _string_ — The description of the acquirer's decision. Press [here](https://docs.nuvei.com/?p=492581#challenge-preference-reasons) to see a table that presents the possible values. - **challengeCancelReason** — _string_ — Reason description for a canceled 3D-Secure authorization as received from the issuer. - **challengeCancelReasonId** — _string_ — Reason ID for a canceled 3D-Secure authorization as received from the issuer. - **isLiabilityOnIssuer** — _boolean_ — Indicates if there is 3D-Secure liability shift. If equal to '1' - Liability shift is present. If equal to '0', empty or null - No liability shift has occurred. - **cardLast4Digits** — _string_ - **issuerBankName** — _string_ - **issuerCountry** — _string_ - **providerResponseDetails** — (`providerResponseDetails`) — _object_ - **code** — _string_ — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — If an error occurred on the request side, then an error reason is returned in this parameter. - **additionalTransactionInfo** — (`additionalTransactionInfo`) — _object_ - **additionalTransactionBankId** — _string_ — Indicates the APM Reference ID of the transaction. NOTE: This parameter is relevant only for certain APMs. - **additionalExternalTransactionId** — _string_ - **referenceId** — _string_ — Allows the merchant to provide an ID of a previous transaction, billing agreement, or pre-approval of an APM.NOTE: Use this parameter only if you are not using Nuvei's [User Payment Management](https://docs.nuvei.com/?p=1935#user-payment-management-tokenization) feature. - **aftDetails** — (`AftDetailsOutput`) — _object_ - **isAftTransaction** — _boolean_ - **isAftOverriden** — _boolean_ - **mcc** — _string_ - **nameVerification** — (`NameInquiryOutput`) — _object_ - **result** — (`OverallInquiryStatus`) — _string_ — enum: `noMatch`, `partialMatch`, `match`, `unverified`, `notPerformed`, `notSupported` - **firstName** — (`NameInquiryStatus`) — _string_ — enum: `noMatch`, `partialMatch`, `match`, `unverified` - **middleName** — (`NameInquiryStatus`) — _string_ — enum: `noMatch`, `partialMatch`, `match`, `unverified` - **lastName** — (`NameInquiryStatus`) — _string_ — enum: `noMatch`, `partialMatch`, `match`, `unverified` - **schemeDetails** — (`SchemeDetails`) — _object_ - **transactionLinkId** — _string_ - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `OrderStatusResponse` Order Status Response - **refundId** — (`IdType`) — _string_ — example: `"34564567"` - **paymentId** — (`IdType`) — _string_ — example: `"34564567"` - **transactionId** — (`TransactionId`) — _string_ — Nuvei Digital Payments Gateway Transaction ID. - **externalTransactionId** — (`ExternalTransactionId`) — _string_ — The transaction ID of the transaction in the event that an external service is used. - **amount** — _number_ — The transaction amount. - **currency** — _string_ — The [3-letter ISO currency code](https://docs.nuvei.com/?p=8513#currency-codes). - **transactionType** — (`TransactionType`) — _string_ — enum: `Auth`, `Sale`, `PreAuth`, `Settle`, `Void`, `Refund`, `InitAuth3D`, `Auth3D`, `Sale3D` — The type of transaction. - **result** — (`ApiResultOutput`) — _object_ — **required** - **status** — _string_ — **required** — enum: `approved`, `authorizedOnly`, `declined`, `error`, `pending`, `redirect`, `challenge`, `fingerprint`, `authenticated`, `authenticationNotSupported`, `actionRequired` — The transaction status. - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **authCode** — _string_ — The authorization code of the transaction. - **cvv2Code** — _string_ — The CVV2 (card verification value) response. Values: M = CVV2 Match | N = CVV2 No Match | P = Not Processed | U = Issuer is not certified and/or has not provided Visa the encryption keys | S = CVV2 processor is unavailable. - **avsCode** — _string_ — The address verification service (AVS) response. Values: A = The street address matches, the ZIP code does not. | W = Postal code matches, the street address does not. | Y = Postal code and the street address match. | X = An exact match of both the 9-digit ZIP code and the street address. | Z = Postal code matches, the street code does not. | U = Issuer is unavailable. | S = AVS not supported by issuer. | R = Retry. | B = Not authorized (declined). | N = Both the street address and postal code do not match. - **partialApproval** — (`PartialApprovalOutput`) — _object_ - **requestedAmount** — _number_ — **required** — The original requested amount. - **requestedCurrency** — _string_ — **required** — The [currency](https://docs.nuvei.com/?p=8513#currency-codes) of the original request. - **redirectUrl** — _string_ — For an APM, the URL to which the customer is redirected in order to complete the transaction process. - **actionDetails** — (`KeyValuePair`) — _object_ — default: `{"type":"string"}` — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **paymentOption** — (`PaymentOptionOutput`) — _object_ - **card** — (`CardOutput`) — _object_ - **cardHolderName** — _string_ — The cardholder name. - **maskedCardNumber** — _string_ — The masked credit card number. - **bin** — _string_ — The first six digits from the credit card number for identifying the processing bank. The rest of the number is not displayed. - **last4Digits** — _string_ — The last four digits of the card number. - **expirationMonth** — _string_ — The card expiration month. - **expirationYear** — _string_ — The card expiration year. - **acquirerId** — _string_ — The ID of the acquirer that processed the transaction. - **cardType** — _string_ — The type of card used in the transaction. Values: Credit, Debit - **cardBrand** — _string_ - **secondaryBrand** — _string_ - **issuerBankName** — _string_ - **issuerCountry** — _string_ - **processedBrand** — _string_ — The card brand used in the transaction. - **paymentTokenId** — (`TokenId`) — _string_ - **merchantReference** — (`MerchantReference`) — _string_ — example: `"12391284AF87C7D2"` — Merchant Reference for a business entity (token, subscription, etc.) - **threeD** — (`ThreeDOutput`) — _object_ - **fingerprintUrl** — _string_ — The URL to post the fingerprintPayload to perform device fingerprinting. - **fingerprintPayload** — _string_ — The payload to be posted to the fingerprintUrl to perform the device fingerprinting. - **dsTransId** — _string_ — format: `uuid` — The transaction ID of the Directory Server (part of the fingerprintPayload). - **acsUrl** — _string_ — The URL of the Access Control Server to perform the challenge request. - **cReq** — _string_ — The payload to be posted to the acsUrl to perform the challenge request. - **acsTransId** — _string_ — format: `uuid` — The transaction ID of the Access Control Server (part of the cReq). - **version** — _string_ — example: `"2.1.0"` — The full version of the 3DS protocol for the transaction. - **eci** — _string_ — example: `"02"` — The Electronic Commerce Indicator (ECI) that indicates the level of security used in a 3D-Secure program when the cardholder provides payment information to the merchant. Visa values: 5 = The cardholder was successfully authenticated. | 6 = The issuer or cardholder does not participate in a 3D-Secure program. | 7 = Payment authentication was not performed. Mastercard values: 2 = The cardholder was successfully authenticated. | 1 = The issuer or cardholder does not participate in a 3D-Secure program. | 6 = Payment authentication was not performed. | 7 = The cardholder was successfully authenticated for the initial [MIT](https://docs.nuvei.com/?p=492931). - **cavv** — _string_ — Cardholder Authentication Verification Value - cryptographically secure hash of various pieces of information related to the transaction that can be used as a proof for the 3DS authentication. - **whiteListStatus** — (`WhiteListStatus`) — _string_ — enum: `Y`, `N`, `E`, `P`, `R`, `U` — Indicates if this consumer defined this merchant as whitelist or not. If the consumer defined the merchant, then this is the reason the challenge did not happen. Values: Y = 3DS Requestor is whitelisted by cardholder | N = 3DS Requestor is not whitelisted by cardholder | E = Not eligible as determined by issuer | P = Pending confirmation by cardholder | R = Cardholder rejected | U = Whitelist status unknown, unavailable, or does not apply - **acsChallengeMandate** — (`AcsChallengeMandate`) — _string_ — enum: `Y`, `N` — The 3D Secure 2.0 challenge indication. Values: N = not required | Y = required - **authenticationType** — (`AuthenticationType`) — _string_ — The type of authentication performed during the 3D Secure 2.0 challenge. If the merchant wants to react differently for each authentication type, then they can, per the value returned. Values: 01 = Static | 02 = Dynamic | 03 = OOB | 04 = Decoupled | 05-79 = Reserved for EMVCo future use (values invalid until defined by EMVCo) | 80-99 = Reserved for DS use - **authenticationResult** — (`AuthenticationResult`) — _string_ — enum: `Y`, `N`, `U`, `A`, `C`, `D`, `R`, `I` — Indicates whether a transaction qualifies as an authenticated transaction or account verification. Note: The Final CRes message can contain only a value of Y or N. Values: Y = Authentication Verification Successful | N = Not Authenticated /Account Not Verified; Transaction denied | U = Authentication/ Account Verification Could Not Be Performed; Technical or other problem, as indicated in ARes or RReq | A = Attempts Processing Performed; Not Authenticated/Verified, but a proof of attempted authentication/verification is provided | C = Challenge Required; Additional authentication is required using the CReq/CRes | D = Challenge Required; Decoupled Authentication confirmed | R = Authentication/ Account Verification Rejected; Issuer is rejecting | I = Informational only (issuer approved SCA exemption) - **flow** — (`Flow`) — _string_ — enum: `Challenge`, `Frictionless`, `Exemption`, `NoLiability`, `Stop` - **reasonId** — _string_ - **reason** — _string_ - **cardholderInfoText** — _string_ — The text provided by the ACS/Issuer to the cardholder during a frictionless transaction that was not authenticated by the ACS/Issuer. For example: “Additional authentication is needed for this transaction. Please contact [Issuer Name] at xxx-xxx-xxxx.' If this parameter is populated, the merchant must display the information to the cardholder. - **merchantId** — _string_ — The Merchant ID provided by Nuvei. - **challengePreferenceReason** — _string_ — This value is returned following a 3D-Secure v2 challenge and describes the reason for challenge. Press [here](https://docs.nuvei.com/?p=492581#challenge-preference-reasons) for more information. - **acquirerDecision** — _string_ — The acquirer's request from the merchant to perform a certain flow. Values: ChallengeRequest, ExemptionRequest - **decisionReason** — _string_ — The description of the acquirer's decision. Press [here](https://docs.nuvei.com/?p=492581#challenge-preference-reasons) to see a table that presents the possible values. - **challengeCancelReason** — _string_ — Reason description for a canceled 3D-Secure authorization as received from the issuer. - **challengeCancelReasonId** — _string_ — Reason ID for a canceled 3D-Secure authorization as received from the issuer. - **isLiabilityOnIssuer** — _boolean_ — Indicates if there is 3D-Secure liability shift. If equal to '1' - Liability shift is present. If equal to '0', empty or null - No liability shift has occurred. - **alternativePaymentMethod** — (`ApmOutput`) — _object_ - **name** — _string_ — **required** — example: `"ACH"` — The APM name. - **data** — (`MaskedKeyValuePair`) — _object_ — example: `{"accountNumber":"11345739548759","routingNumber":"847937857"}` - **merchantReference** — (`MerchantReference`) — _string_ — example: `"12391284AF87C7D2"` — Merchant Reference for a business entity (token, subscription, etc.) - **paymentTokenId** — (`TokenId`) — _string_ - **networkToken** — (`NetworkTokenOutput`) — _object_ - **provider** — (`TokenProvider`) — _string_ — enum: `ApplePay`, `GooglePay`, `Click2Pay`, `Paze` — The name of the external token provider Possible values: [ApplePay, GooglePay, Click2Pay, Paze] - **eciIndicator** — _string_ — The Electronic Commerce Indicator (ECI) that indicates the level of security used in a 3D-Secure program when the cardholder provides payment information to the merchant. Visa values: 5 = The cardholder was successfully authenticated. | 6 = The issuer or cardholder does not participate in a 3D-Secure program. | 7 = Payment authentication was not performed. Mastercard values: 2 = The cardholder was successfully authenticated. | 1 = The issuer or cardholder does not participate in a 3D-Secure program. | 6 = Payment authentication was not performed. | 7 = The cardholder was successfully authenticated for the initial [MIT](https://docs.nuvei.com/?p=492931). - **expirationMonth**
[...]
